Article ID: 124999, created on Mar 24, 2015, last review on Mar 24, 2015

  • Applies to:
  • Plesk 12.0 for Linux
  • Plesk 11.5 for Linux


Upgrade to Plesk 12 fails with error:

atomic/gpgkey                                            | 1.3 kB     00:00
Fatal error during packages installation: Public key for is not installed
YumBaseError: Public key for is not installed

ERROR: Failed to run the Yum utility.


GPG validation for repository fails.


  1. Disable the GPG validation for repository that you use for downloading files (e.g. Atomic repo):

    # grep -i gpgcheck /etc/yum.repos.d/atomic.repo
    gpgcheck = 0
  2. Launch Plesk upgrade.

Search Words



plesk upgrade

Public key for

upgrade php

is not installed


a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c 01bc4c8cf5b7f01f815a7ada004154a2 29d1e90fd304f01e6420fbe60f66f838 0a53c5a9ca65a74d37ef5c5eaeb55d7f 2a5151f57629129e26ff206d171fbb5f e335d9adf7edffca6a8af8039031a4c7

Email subscription for changes to this article
Save as PDF